# Interface methods for submodule: CropLabelMapFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ChangeRegionLabelMapFilterProxy as _ChangeRegionLabelMapFilterProxy


# Interface methods for class: CropLabelMapFilter
class CropLabelMapFilterProxy(_ChangeRegionLabelMapFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetUpperBoundaryCropSize(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetUpperBoundaryCropSize(self) -> Sequence[int]:
		""""""
		...

	def SetLowerBoundaryCropSize(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetLowerBoundaryCropSize(self) -> Sequence[int]:
		""""""
		...

	def SetCropSize(self, size: Sequence[int]) -> None:
		""""""
		...

